Class List Method List File List

# Class: Yast::SuSEFirewallUIClass

Inherits:
  Module
  - Object
  - Module
  - Yast::SuSEFirewallUIClass
  show all
Defined in:
  ../../src/modules/SuSEFirewallUI.rb

## Instance Method Summary (collapse)

- - (Boolean) GetShowSummaryDetails

  Returns whether summary should be more detailed.

- - (Object) main
- - (Object) SetShowSummaryDetails(set_show)

  Sets whether summary should be more detailed.

## Instance Method Details

### - (`Boolean`) GetShowSummaryDetails

Returns whether summary should be more detailed.

Returns:

- (`Boolean`) —

  show detailed summary

    49
    50
    51
    # File '../../src/modules/SuSEFirewallUI.rb', line 49

    def GetShowSummaryDetails
      @show_summary_details
    end

### - (`Object`) main

    36
    37
    38
    39
    40
    41
    42
    43
    44
    # File '../../src/modules/SuSEFirewallUI.rb', line 36

    def main
      textdomain "firewall"

      @simple_text_output = false

      # Show details in the summary dialog?
      # Internal variable.
      @show_summary_details = false
    end

### - (`Object`) SetShowSummaryDetails(set_show)

Sets whether summary should be more detailed.

Parameters:

- boolean —

  show detailed summary

    56
    57
    58
    59
    60
    # File '../../src/modules/SuSEFirewallUI.rb', line 56

    def SetShowSummaryDetails(set_show)
      @show_summary_details = set_show if set_show != nil

      nil
    end